#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	SHA1
Summary:	Digest::SHA1 - interface to the SHA-1 algorithm
Summary(pl.UTF-8):	Digest::SHA1 - interfejs do algorytmu SHA-1
Name:		perl-Digest-SHA1
Version:	2.13
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bd22388f268434f2b24f64e28bf1aa35
Patch0:		%{name}-reset.patch
URL:		http://search.cpan.org/dist/Digest-SHA1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::SHA1 Perl module allows you to use the NIST SHA-1 message
digest algorithm from within Perl programs.  The algorithm takes as
input a message of arbitrary length and produces as output a 160-bit
"fingerprint" or "message digest" of the input.

%description -l pl.UTF-8
Moduł Perla Digest::SHA1 pozwala używać algorytmu skrótu NIST SHA-1 z
programów w Perlu. Algorytm pobiera z wejścia wiadomość dowolnej
długości, a na wyjściu produkuje 160-bitowy "odcisk palca" lub "skrót
wiadomości" z wejścia.

%description -l pt_BR.UTF-8
Este módulos Perl permite a utilização do algoritmo de digest de
mensagens NIST SHA-1 em programas Perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README fip180-1.{gif,html}
%{perl_vendorarch}/Digest/SHA1.pm
%dir %{perl_vendorarch}/auto/Digest/SHA1
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/SHA1/SHA1.so
%{_mandir}/man3/Digest::SHA1.3pm*
%changelog
* Mon Mar 21 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Digest-SHA1.git;a=log;h=master

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> cf4742e
- release 7 (by relup.sh)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 66d9377
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c1efd58
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 334bc6c
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3b0099c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> acc693e
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8053800
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 9e4a839
- cleanup, more verbose files

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 9a82b2f
- up to 2.13

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 7296cfb
- rel 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d346752
- release 2

* Sun May 24 2009 amateja <amateja@pld-linux.org> dbcf908
- updated to 2.12

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> c1a8f4a
- release 3

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 122e5c9
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 2a9fa47
- rel 1

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> ec08435
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 54ef037
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 18235d2
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> a3e0198
- spacing

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 6c8f647
- added URL

